import { Plugin } from '../editor/plugin.js';
import Editor from '../editor/editor.js';
import Output from '../output/output.js';
export declare abstract class CreationCustomPreviewProvider extends Plugin {
    protected editor?: Editor;
    onInstall(editor: Editor): void;
    abstract createFile(output: Output): Promise<Blob> | Blob;
    abstract display(blob: Blob): void;
}
